<mat-sidenav-container autosize class="maarch-container">
    <mat-sidenav-content>
        <div class="bg-head">
            <div class="bg-head-title" [class.customContainerRight]="appService.getViewMode()">
                <div class="bg-head-title-label">
                    <header-left></header-left>
                </div>
                <div class="bg-head-title-tool">
                    <header-right></header-right>
                </div>
            </div>
            <div class="bg-head-content" [class.fullContainer]="appService.getViewMode()">
            </div>
        </div>
        <div class="container" [class.fullContainer]="appService.getViewMode()">
            <div class="container-content">
                <div *ngIf="loading" style="display:flex;height:100%;">
                    <mat-spinner style="margin:auto;"></mat-spinner>
                </div>
                <mat-card *ngIf="!loading" class="card-app-content">
                    <form class="form-horizontal" (ngSubmit)="submitStatus()" #statusFormUp="ngForm">
                        <div class="form-group">
                            <div class="col-sm-12">
                                <mat-form-field>
                                    <input matInput [formControl]="statusId" [(ngModel)]="status.id"
                                        *ngIf="creationMode" maxlength="10" name="id" id="id" title="{{lang.id}}"
                                        placeholder="{{lang.id}}" (blur)="isAvailable()" type="text" pattern="^[\w.-]*$"
                                        required>
                                    <input matInput [(ngModel)]="status.id" *ngIf="!creationMode" maxlength="10"
                                        name="id" id="id" title="{{lang.id}}" placeholder="{{lang.id}}" required
                                        disabled>
                                    <mat-error *ngIf="statusId.invalid">{{getErrorMessage()}}</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12">
                                <mat-form-field>
                                    <input matInput name="label_status" id="label_status" maxlength="50"
                                        [(ngModel)]="status.label_status" title="{{lang.label}}"
                                        placeholder="{{lang.label}}" type="text" required>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-6" style="white-space:nowrap;text-align:center;">
                                <mat-slide-toggle matTooltip="{{lang.tooltipSearchStatus}}"
                                    [(ngModel)]="status.can_be_searched" id="can_be_search" name="can_be_search"
                                    color="primary" [checked]="status.can_be_searched == true">
                                    {{lang.canBeSearched}}
                                </mat-slide-toggle>
                            </div>
                            <div class="col-sm-6" style="white-space:nowrap;text-align:center;">
                                <mat-slide-toggle matTooltip="{{lang.tooltipIndexStatus}}"
                                    [(ngModel)]="status.can_be_modified" id="can_be_modified" name="can_be_modified"
                                    color="primary" [checked]="status.can_be_modified == true">
                                    {{lang.canBeModified}}
                                </mat-slide-toggle>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-1" style="text-align:right;">
                                <mat-icon [ngClass]="[status.img_filename.indexOf('fm') == 0 ? 'fm fm-2x' : 'fa fa-2x']"
                                    class="{{status.img_filename}}" aria-hidden="true" color="primary"></mat-icon>
                            </div>
                            <div class="col-sm-11">
                                <mat-form-field>
                                    <mat-select [(ngModel)]="status.img_filename" placeholder="{{lang.imgRelated}}"
                                        id="status" name="status" required>
                                        <mat-option *ngFor="let image of statusImages" [value]="image.image_name">
                                            <i [ngClass]="[image.image_name.indexOf('fm') == 0 ? 'fm' : 'fa']"
                                                class="{{image.image_name}}" color="primary"></i> {{image.image_name}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12" style="text-align:center;">
                                <button mat-raised-button color="primary" type="submit"
                                    [disabled]="!statusFormUp.form.valid">{{lang.save}}</button>
                            </div>
                        </div>
                    </form>
                </mat-card>
            </div>
        </div>
    </mat-sidenav-content>
</mat-sidenav-container>